Mad Level Manager

- Main Page
- Packages
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Functions Enumerations Enumerator Properties Events
Classes | Public Types | Public Member Functions | Public Attributes | Protected Member Functions | List of all members
MadLevelManager.MadLevelGridLayout Class Reference
Inheritance diagram for MadLevelManager.MadLevelGridLayout:

## Public Types
enum | SetupMethod { Generate, Manual }
Public Types inherited from MadLevelManager.MadLevelAbstractLayout
enum | TwoStepActivationType { Disabled, OnlyOnMobiles, Always }
enum | OnMobileBack { LoadPreviousLevel, LoadSpecifiedLevel }

## Public Member Functions
override MadLevelIcon | GetIcon (string levelName)
| Gets the icon representation for given level name. More...
override MadLevelIcon | FindClosestIcon (Vector3 position)
| Finds the closest level icon to given position or More...
override void | LookAtIcon (MadLevelIcon icon)
| Looks at given icon; More...
Public Member Functions inherited from MadLevelManager.MadLevelAbstractLayout
delegate void | IconActivationEvent (MadLevelIcon icon, string levelName)
MadLevelIcon | GetFirstIcon ()
| Gets the icon representation for the first level (in order). More...
MadLevelIcon | GetLastIcon ()
| Gets the icon representation for the last level (in order). More...
MadLevelIcon | GetActiveIcon ()
| Gets the currently active icon or More...
MadLevelIcon | GetNextIcon (MadLevelIcon icon)
MadLevelIcon | GetPreviousIcon (MadLevelIcon icon)
void | LookAtLevel (string levelName)
| Looks at level. More...
void | LookAtLastPlayedLevel ()
| Looks at last played level icon. More...
void | Activate (MadLevelIcon icon)
Public Member Functions inherited from MadLevelManager.MadNode
T | CreateChild< T > (string name)
T | CreateChild< T > (string name, T template)
MadNode | CreateChild (string name, GameObject template)
T | FindParent< T > ()

## Public Attributes
SetupMethod | setupMethod = SetupMethod.Generate
MadSprite | rightSlideSprite
MadSprite | leftSlideSprite
Vector2 | iconScale = Vector2.one
Vector2 | iconOffset
Vector2 | rightSlideScale = Vector2.one
Vector2 | rightSlideOffset
Vector2 | leftSlideScale = Vector2.one
Vector2 | leftSlideOffset
int | gridWidth = 3
int | gridHeight = 3
int | pixelsWidth = 720
int | pixelsHeight = 578
bool | pagesOffsetFromResolution = true
float | pagesOffsetManual = 1000
bool | lookAtLastLevel = true
bool | dirty
bool | deepClean
bool | hideManagedObjects = true
Public Attributes inherited from MadLevelManager.MadLevelAbstractLayout
MadLevelIcon | iconTemplate
TwoStepActivationType | twoStepActivationType = TwoStepActivationType.OnlyOnMobiles
bool | onIconActivatePlayAudio
AudioClip | onIconActivatePlayAudioClip
float | onIconActivatePlayAudioVolume = 1
bool | onIconDeactivatePlayAudio
AudioClip | onIconDeactivatePlayAudioClip
float | onIconDeactivatePlayAudioVolume = 1
bool | onIconActivateMessage
GameObject | onIconActivateMessageReceiver
string | onIconActivateMessageMethodName = "OnIconActivate"
bool | onIconDeactivateMessage
GameObject | onIconDeactivateMessageReceiver
string | onIconDeactivateMessageMethodName = "OnIconDeactivate"
bool | handleMobileBackButton = true
OnMobileBack | handleMobileBackButtonAction = OnMobileBack.LoadPreviousLevel
string | handleMobileBackButtonLevelName
MadLevelConfiguration | configuration
Public Attributes inherited from MadLevelManager.MadNode
bool | managed

## Protected Member Functions
override void | OnEnable ()
override void | Start ()
override void | Update ()

## Additional Inherited Members
Properties inherited from MadLevelManager.MadNode
static bool | Instantiating`[get, set]`
Events inherited from MadLevelManager.MadLevelAbstractLayout
IconActivationEvent | onIconActivate
IconActivationEvent | onIconDeactivate

## Member Function Documentation

override MadLevelIcon MadLevelManager.MadLevelGridLayout.FindClosestIcon | ( | Vector3 | position | ) |
| virtual

Finds the closest level icon to given position or

`null` if no icons found.

Returns
  The closest level icon.

Parameters

  position | The position.

Implements MadLevelManager.MadLevelAbstractLayout.

override MadLevelIcon MadLevelManager.MadLevelGridLayout.GetIcon | ( | string | levelName | ) |
| virtual

Gets the icon representation for given level name.

Returns
  The level icon or `null` if not found.

Parameters

  levelName | Level name.

Implements MadLevelManager.MadLevelAbstractLayout.

override void MadLevelManager.MadLevelGridLayout.LookAtIcon | ( | MadLevelIcon | icon | ) |
| virtual

Looks at given icon;

Parameters

  icon | Icon.

Implements MadLevelManager.MadLevelAbstractLayout.

The documentation for this class was generated from the following file:

- Assets/Mad Level Manager/Scripts/Base/Layouts/MadLevelGridLayout.cs